jQuery(document).ready(function($){


	/* append help button */
	var child = document.createElement('li');
	child.innerHTML = '<a class="toggle-rettung" title="Rettungsring">Rettung</a>';
	$(".rex-logout").append(child);


	/* listen for toggle click */
	$(".toggle-rettung").click(function() {
		toggleTooltips();
	});


	/* force quit on dynamic class */
	$(document.body).on('click', '.forcequit', function() {
		toggleTooltips();
	});


	/* view or dont view */
	var viewState = false;
	function toggleTooltips(force){

		/* switch view state */
		viewState = !viewState;

		/* toggle */
		switch (viewState){
			case true:
				$('#rex-website').addClass('dimmed');
				$('.tooltipstered').tooltipster('show');
				$('body').append('<div class="forcequit"></div>');
				break;

			case false:
				$('#rex-website').removeClass('dimmed');
				$('.tooltipstered').tooltipster('hide');
				$('.forcequit').remove();
				break;

		}

	}


	/* get all tooltips and selectors from cookie */
	var selectors = getCookie("rettung_selectors");
	var tooltips = getCookie("rettung_tooltips");
	var positions = getCookie("rettung_positions");


	/* getting cookie */
	function getCookie(cname) {
		var name = cname + "=";
		var ca = document.cookie.split(';');
		for(var i=0; i<ca.length; i++) {
			var c = ca[i];
			while (c.charAt(0)==' ') c = c.substring(1);
			if (c.indexOf(name) != -1) return c.substring(name.length,c.length);
		}
	}


	/* double decoding workaround */
	selectors = decodeURIComponent(decodeURIComponent(selectors));
	tooltips = decodeURIComponent(decodeURIComponent(tooltips));
	positions = decodeURIComponent(decodeURIComponent(positions));


	/* parse to arrays */
	var selectors = selectors.split("++");
	var tooltips = tooltips.split("++");
	var pos = positions.split("++");


	/* assign each selector new title with tooltip and unique tooltipster class and make call */
	$.each(selectors, function(index,selector) {

		$(selector).attr("title",tooltips[index]);
		$(selector).addClass("tooltip-"+index);

		$(".tooltip-"+index).tooltipster({
			position: pos[index],
			trigger: 'custom',
			maxWidth: 200,
			maxHeight: 500,
		});

	});


});